package com.gic.haoban.manage.api.enums.content;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/29 12:46 PM
 * @Description
 * @Version
 **/
public class InteractRecordInfoDTO implements Serializable {

    private static final long serialVersionUID = -170525928535773136L;

    /**
     * 会员id
     */
    private String memberId;
    /**
     * 互动记录id
     */
    private Long interactRecordId;

    /**
     * 记录描述
     * 通过XXX访问XXXX
     */
    private String recordDesc;

    /**
     * 第几次访问
     */
    private Integer times;

    /**
     * 停留时长 单位秒
     */
    private Integer durationTime;

    /**
     * 记录生成时间
     */
    private Date createTime;

    /**
     * 线索来源 1朋友圈; 2客户群; 3 对话框; 0其他
     */
    private Integer channelSource;

    /**
     * 分享使用的业务来源 -1其他1意向客户2智能选款3连单推荐
     */
    private Integer shareSource;

    /**
     * 记录事件类型
     * 1浏览素材；2 查看商品; 3 购买商品
     * 通过此类型区分 弹窗提示
     */
    private Integer eventType;

    /**
     * 聚合的事件类型
     * @see InteractRecordEventType
     */
    private Integer eventTypeAggs;

    /**
     * 业务id
     */
    private String bizId;


    /**
     * 业务类型
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    /**
     * 聚合的业务类型
     */
    private Integer bizTypeAggs;

    /**
     * 浏览的商品数量
     */
    private Integer visitGoodsNum;

    /**
     * 下单的商品数量
     */
    private Integer orderGoodsNum;

    /**
     * 扩展信息
     */
    private InteractRecordExtendInfoDTO extendInfo;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Long getInteractRecordId() {
        return interactRecordId;
    }

    public void setInteractRecordId(Long interactRecordId) {
        this.interactRecordId = interactRecordId;
    }

    public String getRecordDesc() {
        return recordDesc;
    }

    public void setRecordDesc(String recordDesc) {
        this.recordDesc = recordDesc;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getDurationTime() {
        return durationTime;
    }

    public void setDurationTime(Integer durationTime) {
        this.durationTime = durationTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public InteractRecordExtendInfoDTO getExtendInfo() {
        return extendInfo;
    }

    public void setExtendInfo(InteractRecordExtendInfoDTO extendInfo) {
        this.extendInfo = extendInfo;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public Integer getShareSource() {
        return shareSource;
    }

    public void setShareSource(Integer shareSource) {
        this.shareSource = shareSource;
    }

    public Integer getVisitGoodsNum() {
        return visitGoodsNum;
    }

    public void setVisitGoodsNum(Integer visitGoodsNum) {
        this.visitGoodsNum = visitGoodsNum;
    }

    public Integer getOrderGoodsNum() {
        return orderGoodsNum;
    }

    public void setOrderGoodsNum(Integer orderGoodsNum) {
        this.orderGoodsNum = orderGoodsNum;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getEventTypeAggs() {
        return eventTypeAggs;
    }

    public void setEventTypeAggs(Integer eventTypeAggs) {
        this.eventTypeAggs = eventTypeAggs;
    }

    public Integer getBizTypeAggs() {
        return bizTypeAggs;
    }

    public void setBizTypeAggs(Integer bizTypeAggs) {
        this.bizTypeAggs = bizTypeAggs;
    }
}
